View Issue Details

IDProjectCategoryView StatusLast Update
0001580CentOS-4CentOS-4-CentOSPluspublic2007-05-01 21:36
ReporterEvolution Assigned To 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version4.4 - i386 
Summary0001580: php 5.1.6 tracking bug
DescriptionPlease post feedback for php 5.1.6 packages here.
TagsNo tags attached.

Relationships

related to 0001438 closedEvolution php-5.1.4 from dev.centos.org does not include some build targets 

Activities

JohnnyHughes

JohnnyHughes

2006-11-13 19:25

administrator   ~0004160

Installed by me on 3 machines as an upgrade to both 5.1.4 and 5.0.4 ... no issues.
kbsingh@karan.org

kbsingh@karan.org

2006-11-13 23:41

reporter   ~0004161

Works for me on x86_64 CentOS-4.4
kbsingh@karan.org

kbsingh@karan.org

2006-11-13 23:42

reporter   ~0004162

seems to also work for this other guy ( Ryan Courtnage ) : http://lists.centos.org/pipermail/centos-devel/2006-November/002662.html
pyxel

pyxel

2006-11-14 22:22

reporter   ~0004164

Hello,

works for me too.

/Marek Mahut
GregSwallow

GregSwallow

2006-11-21 19:34

updater   ~0004202

Would you mind building the php-extras rpm that is in Fedora Extras as well? (php-mcrypt, php-dbase, etc)

Works for me too, but just minimal testing on a home server.
greggyd

greggyd

2006-11-22 18:51

reporter   ~0004206

Err. We have big problems with this new version actually:

This code:

                                              $params[] = "-o=unmount\{$partition}";
                                                $params[] = '--php';
                     
                                                execute_privileged('filesystems', 'filesystemConfigurator.pl', $params, $output);
                                 
                                                eval($output);

Produces:
/usr/maxt/maxmin/plugins/filesystems/bin/private/filesystemConfigurator.pl -o=unmount{/dev/SystemVG/LV_Var} --php
on 5.04 and
/usr/maxt/maxmin/plugins/filesystems/bin/private/filesystemConfigurator.pl -o=unmount\{/dev/SystemVG/LV_Var} --php
on 5.1.6

This breaks MANY things for us.
Evolution

Evolution

2006-11-22 19:02

reporter   ~0004207

Maybe I'm not looking at this appropriately, but change
$params[] = "-o=unmount\{$partition}"; to
$params[] = "-o=unmount{$partition}";

This is a change in the way php parses certain things and is upstream from us.
greggyd

greggyd

2006-11-22 19:50

reporter   ~0004208

Is there any way to tweak that behavior in trac.ini or something. As I said its very easy to fix for this one. But there's alot of code that needs to be combed through. Also, your proposed fix does not work. Looks like PHP processes the braces because they disappear altogether in the output.

Thanks for the response.
Evolution

Evolution

2006-11-22 20:15

reporter   ~0004209

Greg: There's some question as to distribution of mcrypt, mhash, dbase etc. It's being discussed internally.
Evolution

Evolution

2006-11-22 20:18

reporter   ~0004210

greggyd

No clue about trac. As I said, this is an upstream change, so if you wish your code to be compatible with later versions of php it'll have to be upgraded eventually.
greggyd

greggyd

2006-11-22 20:33

reporter   ~0004211

Arghhh. Sorry. I'm platying with trac today ;-) I meant php.ini.

Just seems like wrong behavior to me. In the past when stuff like this has changed there has usually been a way to get back to the old (even if broken) behavior. Especially from a 5.0.x to a 5.1.x

Anyway, realize its not your problem, I'll try and figure out how to get yum to ignore the new one.

Thanks for looking at this.
GregSwallow

GregSwallow

2006-11-22 21:30

updater   ~0004212

> Greg: There's some question as to distribution of mcrypt, mhash, dbase etc.
> It's being discussed internally.

They are free enough for Fedora Extras, so there can't be any licensing issue:
http://download.fedora.redhat.com/pub/fedora/linux/extras/6/i386/php-mhash-5.1.6-1.fc6.i386.rpm
http://download.fedora.redhat.com/pub/fedora/linux/extras/6/i386/php-mcrypt-5.1.6-1.fc6.i386.rpm
http://download.fedora.redhat.com/pub/fedora/linux/extras/6/i386/php-dbase-5.1.6-1.fc6.i386.rpm

All those are built by the 'php-extras' srpm.
mariosk8s

mariosk8s

2006-11-25 23:43

reporter   ~0004218

Last edited: 2006-11-25 23:44

Changing
$params[] = "-o=unmount\{$partition}"; to
$params[] = "-o=unmount{{$partition}}";
Seems to work.

Note also that
mysqli_real_escape_string(mysql_init(), "o'neil");
used to work in 5.0.4 but no longer does.
This is also an upstream change.

bmuthig

bmuthig

2006-12-04 01:46

reporter   ~0004245

Any update on this? Not having mcrypt is really a bummer! We have some software that requires it.
bmuthig

bmuthig

2006-12-04 01:47

reporter   ~0004246

Or how would we go about building the addons such as mcrypt ourselves?
JohnnyHughes

JohnnyHughes

2006-12-04 11:32

administrator   ~0004255

Last edited: 2006-12-04 11:40

The real issue that we were looking at was an option to php-extras to build a MSSQL connector.

That uses freetds ... and fedora has decided that freetds infringes on a M$ patent. They are not using it in Fedora Extras ... so we also will not be using freetds in CentOS. See the related bug in the link above (1438).

Also for background:
http://lists.centos.org/pipermail/centos/2006-November/072649.html
http://lists.centos.org/pipermail/centos-devel/2006-November/002739.html

(see the entire thread for both links)

I do not see any reason why we can't build the php-extras as the ones in FCExtras are built.

------------
Specifically this FC link:
http://www.redhat.com/archives/fedora-extras-list/2005-September/msg01158.html

Evolution

Evolution

2006-12-04 12:32

reporter   ~0004256

What we can build of php-extras has already been built and was undergoing some local testing before I pushed it to the development repository. The packaged rpms include -dbase, -mcrypt, -mhash, -readline, and -tidy. They should be uploaded to the development repository within the next 12-24 hours.
bmuthig

bmuthig

2006-12-04 19:19

reporter   ~0004257

Thanks, eagerly awaiting their release to testing so I can install and test.
Evolution

Evolution

2006-12-05 01:39

reporter   ~0004260

now posted in the dev.centos.org repository.
GregSwallow

GregSwallow

2006-12-13 21:40

updater   ~0004276

Could CentOS please also build php-pear-DB, -HTTP, -Mail,
-Net-SMTP, -Net-Socket, -XML-Parser and -Auth-SASL (Auth-SASL is a dependancy of Net-SMTP), that are found in Fedora Extras 6, and add:
Requires:php-pear(DB)
Requires:php-pear(Mail)
Requires:php-pear(HTTP)
Requires:php-pear(XML_Parser)
Requires:php-pear(Net_Socket)
Requires:php-pear(Net_SMTP)
...to the spec file of php-pear in centosplus.

Redhat is not interested to provide/support the extra pear modules in RHEL5 - I already suggested that - https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=218220 - but that was closed-wontfix. I think for CentOS4 though, if the modules are provided with php4 they should be there in php5.

It will help a lot with the horde web apps - and anything else that people have installed that rely on those modules. I rebuilt (without modification) all those rpms from FE6 myself and have been using them for a while now and all is good. And it won't affect upgrades to CentOS5, as long as the version# of php-pear in centosplus stays less than in RHEL5.

Thanks,

Greg
swschulz

swschulz

2007-01-01 23:55

reporter   ~0004302

Was there a version of php-pear built for 5.1.6 which included PEAR::DB? I see a php-pear in a yum search, but it seems to be version 5.0.4 while the rest (installed) are all 5.1.6? Or is PEAR::DB included in some other package?
Evolution

Evolution

2007-01-02 00:02

reporter   ~0004303

Yes. php-pear has been renumbered and moved to a noarch package (upstream change) however.
You should also see php-pear version 1.4.9-x in centosplus also.
swschulz

swschulz

2007-01-02 00:18

reporter   ~0004304

Okay, I have that one installed, but it doesn't seem to include PEAR:DB, so I'm guessing that is a separate (as yet unavailable) package. Thanks,
GregSwallow

GregSwallow

2007-01-02 00:19

updater   ~0004305

> Or is PEAR::DB included in some other package?

Yes - a package not in centosplus. As explained in https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=218220 php-pear no longer contains DB, HTTP, Mail,
Net-SMTP, Net-Socket and XML-Parser as it did with php 4.3 in CentOS4. Unless/until CentOS builds them for centosplus you can yourself by downloading (eg):
http://download.fedora.redhat.com/pub/fedora/linux/extras/5/SRPMS/php-pear-DB-1.7.6-6.fc5.src.rpm
...and doing "rpmbuild --rebuild php-pear-DB-1.7.6-6.fc5.src.rpm" on a box with development tools installed.
JohnnyHughes

JohnnyHughes

2007-01-02 09:14

administrator   ~0004306

OK ... I did not modify the php-pear RPM to include the same defaults as in CentOS-4 (as they are not going to be modified upstream) per the RHEL5 bug.

However, I did just push a bunch of php-pear and php-pecl RPMS that we have built.

There is a problem with these RPMS (it is also an upstream issue) that they do not register so that you can see them with commands:

pear list

or

pecl list

This means that one should NOT install from pear or pecl but only from RPMS.

The RPMS are in the rpm database and can be controlled by yum, rpm, etc once installed.
JohnnyHughes

JohnnyHughes

2007-01-02 09:34

administrator   ~0004308

Last edited: 2007-01-02 09:35

actually ... php-pear RPMS do register ... php-pecl ones do not.

so "pear list" works and "pecl list" does not.

GregSwallow

GregSwallow

2007-01-02 20:55

updater   ~0004313

> OK ... I did not modify the php-pear RPM to include the same defaults as in
> CentOS-4 (as they are not going to be modified upstream) per the RHEL5 bug.

I wouldn't call RHEL5 "upstream" for php5 rpms in centosplus. I would think the goal should be a compatible replacement for the php4 rpms. If you aren't going to change it, maybe add a note to http://mirror.centos.org/centos-4/4.4/centosplus/Readme.txt
GregSwallow

GregSwallow

2007-01-02 20:56

updater   ~0004314

By the way, thanks for building the pear module rpms! :-)
Evolution

Evolution

2007-05-01 21:36

reporter   ~0005062

no longer required.

Issue History

Date Modified Username Field Change
2006-11-13 16:58 Evolution New Issue
2006-11-13 16:58 Evolution Status new => assigned
2006-11-13 19:25 JohnnyHughes Note Added: 0004160
2006-11-13 23:41 kbsingh@karan.org Note Added: 0004161
2006-11-13 23:42 kbsingh@karan.org Note Added: 0004162
2006-11-14 22:22 pyxel Note Added: 0004164
2006-11-21 19:34 GregSwallow Note Added: 0004202
2006-11-22 18:51 greggyd Note Added: 0004206
2006-11-22 19:02 Evolution Note Added: 0004207
2006-11-22 19:50 greggyd Note Added: 0004208
2006-11-22 20:15 Evolution Note Added: 0004209
2006-11-22 20:18 Evolution Note Added: 0004210
2006-11-22 20:33 greggyd Note Added: 0004211
2006-11-22 21:30 GregSwallow Note Added: 0004212
2006-11-25 23:43 mariosk8s Note Added: 0004218
2006-11-25 23:44 mariosk8s Note Edited: 0004218
2006-11-28 20:56 Evolution Relationship added related to 0001438
2006-12-04 01:46 bmuthig Note Added: 0004245
2006-12-04 01:47 bmuthig Note Added: 0004246
2006-12-04 11:32 JohnnyHughes Note Added: 0004255
2006-12-04 11:38 JohnnyHughes Note Edited: 0004255
2006-12-04 11:40 JohnnyHughes Note Edited: 0004255
2006-12-04 12:32 Evolution Note Added: 0004256
2006-12-04 19:19 bmuthig Note Added: 0004257
2006-12-05 01:39 Evolution Note Added: 0004260
2006-12-13 21:40 GregSwallow Note Added: 0004276
2007-01-01 23:55 swschulz Note Added: 0004302
2007-01-02 00:02 Evolution Note Added: 0004303
2007-01-02 00:18 swschulz Note Added: 0004304
2007-01-02 00:19 GregSwallow Note Added: 0004305
2007-01-02 09:14 JohnnyHughes Note Added: 0004306
2007-01-02 09:34 JohnnyHughes Note Added: 0004308
2007-01-02 09:35 JohnnyHughes Note Edited: 0004308
2007-01-02 20:55 GregSwallow Note Added: 0004313
2007-01-02 20:56 GregSwallow Note Added: 0004314
2007-05-01 21:36 Evolution Status assigned => closed
2007-05-01 21:36 Evolution Note Added: 0005062
2007-05-01 21:36 Evolution Resolution open => fixed